module Consul::Client
  class Config
    attr_reader :host, :port
    attr_accessor :namespace

    def initialize
      @port = 8500
      @host = "consul"
      @namespace = "/bags"
    end

    def host=(newhost)
      @host = newhost
      Consul::Client.http.load_config
      @host
    end

    def port=(newport)
      @port = newport
      Consul::Client.http.load_config
      @port
    end

  end
end
